Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.io
Class QTIOException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--quicktime.QTException
                        |
                        +--quicktime.io.QTIOException

All Implemented Interfaces:
  java.io.Serializable

public class QTIOException
extends QTException

A General catch all class that is used to signal errors that occur from QT calls

See Also:
  Serialized Form

Constructor Summary
`QTIOException(int val, java.lang.String fName)` Creates an exception with a specific error number
`QTIOException(java.lang.String fName)` Creates an exception with a string representation.

Method Summary
`static void` | `checkError(int err, java.lang.String fName)` This method will throw an exception if the incoming err argument is a non-zero value.
`java.lang.String` | `getFilePath()` Returns the path of the file that caused the exception to be thrown

Methods inherited from class quicktime.QTException
`checkError, errorCode, errorCodeToString, errorCodeToString, isDrawingError, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QTIOException

    public QTIOException(java.lang.String fName)

  Creates an exception with a string representation.
  Parameters:
    `the` - fName that generated the exception

### QTIOException

    public QTIOException(int val,
                         java.lang.String fName)

  Creates an exception with a specific error number
  Parameters:
    `val` - the error number
    `the` - fName that generated the exception

Method Detail

### checkError

    public static void checkError(int err,
                                  java.lang.String fName)
                           throws QTIOException

  This method will throw an exception if the incoming err argument is a non-zero value.
  Parameters:
    `err` - the result or error code if non-zero an exception is thrown

### getFilePath

    public java.lang.String getFilePath()

  Returns the path of the file that caused the exception to be thrown
  Returns:
    a file path

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD